Subject: Re: bug#44638: [PATCH 1/2] autorevert: don't reuse existing watch descriptors

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Nov 2020 20:21:46 +0200

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 30 Nov 2020 13:01:43 -0500
> 
> Spencer Baugh <[email-masked]> writes:
> > Eli Zaretskii <[email-masked]> writes:
> >> Again, we watch the directory of the file, so what inotify does with
> >> files is not really relevant, IMO.  I wonder what that means for the
> >> changes you propose.
> >
> > Ah. Well, the inotify comment was just an example. Even given that Emacs
> > watches directories rather than files, I think this change is for the
> > best - the overhead of registering 5 files directly instead of 1
> > underlying directory is minimal.
> 
> So does this kind of change still seem plausible?

I'd expect Michael Albinus to chime in on this, as autorevert is his
domain.  Michael?